package net.northking.cctp.daemon.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "daemon")
public class DaemonProperties
{
  private String home;

  private String centerUrl;

  private EngineProperties engine;

  private String initFile;

  public String getHome()
  {
    return home;
  }

  public void setHome(String home)
  {
    this.home = home;
  }

  public String getCenterUrl()
  {
    return centerUrl;
  }

  public void setCenterUrl(String centerUrl)
  {
    this.centerUrl = centerUrl;
  }

  public String getInitFile() {
    return initFile;
  }

  public void setInitFile(String initFile) {
    this.initFile = initFile;
  }

  public EngineProperties getEngine()
  {
    return engine;
  }

  public void setEngine(EngineProperties engine)
  {
    this.engine = engine;
  }

  public String getEngineHome()
  {
    return home + "/engine";
  }

  public String getDownloadHome()
  {
    return home + "/download";
  }

  public String getPatchHome()
  {
    return home + "/patch";
  }
}
